%define upstream_name    Test-Needs
%define upstream_version 0.002010

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Skip tests when modules not available
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HAARG/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.450.0
BuildArch:  noarch

%description
Skip tests when modules not available.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Feb 03 2023 tv <tv> 0.2.10-1.mga9
+ Revision: 1937904
- update to 0.002010

* Mon Mar 21 2022 umeabot <umeabot> 0.2.9-2.mga9
+ Revision: 1814549
- Mageia 9 Mass Rebuild

* Thu May 27 2021 tv <tv> 0.2.9-1.mga9
+ Revision: 1728598
- update to 0.002009

* Sat Feb 15 2020 umeabot <umeabot> 0.2.6-2.mga8
+ Revision: 1525201
- Mageia 8 Mass Rebuild

* Fri Apr 05 2019 tv <tv> 0.2.6-1.mga7
+ Revision: 1385937
- update to 0.002006

* Wed Sep 19 2018 umeabot <umeabot> 0.2.5-2.mga7
+ Revision: 1271973
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Thu Jun 15 2017 pterjan <pterjan> 0.2.5-1.mga6
+ Revision: 1107734
- Package the latest version, not the one pointed to by cpan, it already has a fix for what I patched
- imported package perl-Test-Needs

